%

% initialisation
close all;
clear;

% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

uwnd925=zeros(122,49,144,28);

siz=31+28+31+30+31+1;
sizbis=31+28+31+30+31+30+31+31+30;
ncload('uwnd925.1979.nc'); uwnd925(:,:,:,1)=uwnd(siz:sizbis,1,:,:); clear uwnd;
ncload('uwnd925.1980.nc'); uwnd925(:,:,:,2)=uwnd(siz+1:sizbis+1,1,:,:); clear uwnd;
ncload('uwnd925.1981.nc'); uwnd925(:,:,:,3)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1982.nc'); uwnd925(:,:,:,4)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1983.nc'); uwnd925(:,:,:,5)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1984.nc'); uwnd925(:,:,:,6)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd925.1985.nc'); uwnd925(:,:,:,7)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1986.nc'); uwnd925(:,:,:,8)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1987.nc'); uwnd925(:,:,:,9)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1988.nc'); uwnd925(:,:,:,10)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd925.1989.nc'); uwnd925(:,:,:,11)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1990.nc'); uwnd925(:,:,:,12)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1991.nc'); uwnd925(:,:,:,13)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1992.nc'); uwnd925(:,:,:,14)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd925.1993.nc'); uwnd925(:,:,:,15)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1994.nc'); uwnd925(:,:,:,16)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1995.nc'); uwnd925(:,:,:,17)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1996.nc'); uwnd925(:,:,:,18)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd925.1997.nc'); uwnd925(:,:,:,19)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1998.nc'); uwnd925(:,:,:,20)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.1999.nc'); uwnd925(:,:,:,21)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.2000.nc'); uwnd925(:,:,:,22)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd925.2001.nc'); uwnd925(:,:,:,23)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.2002.nc'); uwnd925(:,:,:,24)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.2003.nc'); uwnd925(:,:,:,25)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.2004.nc'); uwnd925(:,:,:,26)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd925.2005.nc'); uwnd925(:,:,:,27)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd925.2006.nc'); uwnd925(:,:,:,28)=uwnd(siz:sizbis,1,:,:);clear uwnd;

clear siz1 siz1bis;

uwnd=permute(uwnd925,[1 4 2 3]);
clear uwnd925;

%%%%%%%%%%%%%%% FICHIER OLR
% ouverture / lecture du fichier
status=load('eof12_rossby_30100.txt');
eof12_rossby_30100=status;
clear status;
ind_olr=reshape(eof12_rossby_30100,122,28);
clear eof12_rossby_30100;

k=122*28;

% on calcule l ecart type sur la serie entiere de l OLR
ind_olr1=reshape(ind_olr, k,1);
ind_olr2=std(ind_olr1);
clear ind_olr1;

% intialisation des tableaux
uwnd925_filtre_compomax=NaN*ones(60,31,49,144);
uwnd925_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0;
compteurmin=0;

% boucle sur les annees
for a=1:28;
   clear delta;
   delta=zeros(122,1);
   % boucle sur les jours : on prepare avant
   for b=1:122;
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   % boucle sur les jours
   for b=1:122;
      % 1ere condition (laisser une marge de 10)
      if (b>20 && b<112);
% cas 1 : max deltas apres negetifs et deltas avant postifs
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2);
            compteurmax=compteurmax+1;
            uwnd925_filtre_compomax(compteurmax,1,:,:)=uwnd(b-20,a,:,:);
            uwnd925_filtre_compomax(compteurmax,2,:,:)=uwnd(b-19,a,:,:);
            uwnd925_filtre_compomax(compteurmax,3,:,:)=uwnd(b-18,a,:,:);
            uwnd925_filtre_compomax(compteurmax,4,:,:)=uwnd(b-17,a,:,:);
            uwnd925_filtre_compomax(compteurmax,5,:,:)=uwnd(b-16,a,:,:);
            uwnd925_filtre_compomax(compteurmax,6,:,:)=uwnd(b-15,a,:,:);
            uwnd925_filtre_compomax(compteurmax,7,:,:)=uwnd(b-14,a,:,:);
            uwnd925_filtre_compomax(compteurmax,8,:,:)=uwnd(b-13,a,:,:);
            uwnd925_filtre_compomax(compteurmax,9,:,:)=uwnd(b-12,a,:,:);
            uwnd925_filtre_compomax(compteurmax,10,:,:)=uwnd(b-11,a,:,:);

            uwnd925_filtre_compomax(compteurmax,11,:,:)=uwnd(b-10,a,:,:);
            uwnd925_filtre_compomax(compteurmax,12,:,:)=uwnd(b-9,a,:,:);
            uwnd925_filtre_compomax(compteurmax,13,:,:)=uwnd(b-8,a,:,:);
            uwnd925_filtre_compomax(compteurmax,14,:,:)=uwnd(b-7,a,:,:);
            uwnd925_filtre_compomax(compteurmax,15,:,:)=uwnd(b-6,a,:,:);
            uwnd925_filtre_compomax(compteurmax,16,:,:)=uwnd(b-5,a,:,:);
            uwnd925_filtre_compomax(compteurmax,17,:,:)=uwnd(b-4,a,:,:);
            uwnd925_filtre_compomax(compteurmax,18,:,:)=uwnd(b-3,a,:,:);
            uwnd925_filtre_compomax(compteurmax,19,:,:)=uwnd(b-2,a,:,:);
            uwnd925_filtre_compomax(compteurmax,20,:,:)=uwnd(b-1,a,:,:);

            uwnd925_filtre_compomax(compteurmax,21,:,:)=uwnd(b,a,:,:);
            uwnd925_filtre_compomax(compteurmax,22,:,:)=uwnd(b+1,a,:,:);
            uwnd925_filtre_compomax(compteurmax,23,:,:)=uwnd(b+2,a,:,:);
            uwnd925_filtre_compomax(compteurmax,24,:,:)=uwnd(b+3,a,:,:);
            uwnd925_filtre_compomax(compteurmax,25,:,:)=uwnd(b+4,a,:,:);
            uwnd925_filtre_compomax(compteurmax,26,:,:)=uwnd(b+5,a,:,:);
            uwnd925_filtre_compomax(compteurmax,27,:,:)=uwnd(b+6,a,:,:);
            uwnd925_filtre_compomax(compteurmax,28,:,:)=uwnd(b+7,a,:,:);
            uwnd925_filtre_compomax(compteurmax,29,:,:)=uwnd(b+8,a,:,:);
            uwnd925_filtre_compomax(compteurmax,30,:,:)=uwnd(b+9,a,:,:);
            uwnd925_filtre_compomax(compteurmax,31,:,:)=uwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
            compteurmin=compteurmin+1;

            uwnd925_filtre_compomin(compteurmin,1,:,:)=uwnd(b-20,a,:,:);
            uwnd925_filtre_compomin(compteurmin,2,:,:)=uwnd(b-19,a,:,:);
            uwnd925_filtre_compomin(compteurmin,3,:,:)=uwnd(b-18,a,:,:);
            uwnd925_filtre_compomin(compteurmin,4,:,:)=uwnd(b-17,a,:,:);
            uwnd925_filtre_compomin(compteurmin,5,:,:)=uwnd(b-16,a,:,:);
            uwnd925_filtre_compomin(compteurmin,6,:,:)=uwnd(b-15,a,:,:);
            uwnd925_filtre_compomin(compteurmin,7,:,:)=uwnd(b-14,a,:,:);
            uwnd925_filtre_compomin(compteurmin,8,:,:)=uwnd(b-13,a,:,:);
            uwnd925_filtre_compomin(compteurmin,9,:,:)=uwnd(b-12,a,:,:);
            uwnd925_filtre_compomin(compteurmin,10,:,:)=uwnd(b-11,a,:,:);

            uwnd925_filtre_compomin(compteurmin,11,:,:)=uwnd(b-10,a,:,:);
            uwnd925_filtre_compomin(compteurmin,12,:,:)=uwnd(b-9,a,:,:);
            uwnd925_filtre_compomin(compteurmin,13,:,:)=uwnd(b-8,a,:,:);
            uwnd925_filtre_compomin(compteurmin,14,:,:)=uwnd(b-7,a,:,:);
            uwnd925_filtre_compomin(compteurmin,15,:,:)=uwnd(b-6,a,:,:);
            uwnd925_filtre_compomin(compteurmin,16,:,:)=uwnd(b-5,a,:,:);
            uwnd925_filtre_compomin(compteurmin,17,:,:)=uwnd(b-4,a,:,:);
            uwnd925_filtre_compomin(compteurmin,18,:,:)=uwnd(b-3,a,:,:);
            uwnd925_filtre_compomin(compteurmin,19,:,:)=uwnd(b-2,a,:,:);
            uwnd925_filtre_compomin(compteurmin,20,:,:)=uwnd(b-1,a,:,:);

            uwnd925_filtre_compomin(compteurmin,21,:,:)=uwnd(b,a,:,:);
            uwnd925_filtre_compomin(compteurmin,22,:,:)=uwnd(b+1,a,:,:);
            uwnd925_filtre_compomin(compteurmin,23,:,:)=uwnd(b+2,a,:,:);
            uwnd925_filtre_compomin(compteurmin,24,:,:)=uwnd(b+3,a,:,:);
            uwnd925_filtre_compomin(compteurmin,25,:,:)=uwnd(b+4,a,:,:);
            uwnd925_filtre_compomin(compteurmin,26,:,:)=uwnd(b+5,a,:,:);
            uwnd925_filtre_compomin(compteurmin,27,:,:)=uwnd(b+6,a,:,:);
            uwnd925_filtre_compomin(compteurmin,28,:,:)=uwnd(b+7,a,:,:);
            uwnd925_filtre_compomin(compteurmin,29,:,:)=uwnd(b+8,a,:,:);
            uwnd925_filtre_compomin(compteurmin,30,:,:)=uwnd(b+9,a,:,:);
            uwnd925_filtre_compomin(compteurmin,31,:,:)=uwnd(b+10,a,:,:);
         end;
      end;
   end;
end;

% on fait la somme des valeurs de uwnd925_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
uwnd925_filtre_compomin1(:,:,:)=nanmean(uwnd925_filtre_compomin);
clear uwnd925_filtre_compomin;
uwnd925_filtre_compomax1(:,:,:)=nanmean(uwnd925_filtre_compomax);
clear uwnd925_filtre_compomax;

% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

vwnd925=zeros(122,49,144,28);

siz=31+28+31+30+31+1;
sizbis=31+28+31+30+31+30+31+31+30;
ncload('vwnd925.1979.nc'); vwnd925(:,:,:,1)=vwnd(siz:sizbis,1,:,:); clear vwnd;
ncload('vwnd925.1980.nc'); vwnd925(:,:,:,2)=vwnd(siz+1:sizbis+1,1,:,:); clear vwnd;
ncload('vwnd925.1981.nc'); vwnd925(:,:,:,3)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1982.nc'); vwnd925(:,:,:,4)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1983.nc'); vwnd925(:,:,:,5)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1984.nc'); vwnd925(:,:,:,6)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd925.1985.nc'); vwnd925(:,:,:,7)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1986.nc'); vwnd925(:,:,:,8)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1987.nc'); vwnd925(:,:,:,9)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1988.nc'); vwnd925(:,:,:,10)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd925.1989.nc'); vwnd925(:,:,:,11)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1990.nc'); vwnd925(:,:,:,12)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1991.nc'); vwnd925(:,:,:,13)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1992.nc'); vwnd925(:,:,:,14)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd925.1993.nc'); vwnd925(:,:,:,15)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1994.nc'); vwnd925(:,:,:,16)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1995.nc'); vwnd925(:,:,:,17)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1996.nc'); vwnd925(:,:,:,18)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd925.1997.nc'); vwnd925(:,:,:,19)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1998.nc'); vwnd925(:,:,:,20)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.1999.nc'); vwnd925(:,:,:,21)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.2000.nc'); vwnd925(:,:,:,22)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd925.2001.nc'); vwnd925(:,:,:,23)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.2002.nc'); vwnd925(:,:,:,24)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.2003.nc'); vwnd925(:,:,:,25)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.2004.nc'); vwnd925(:,:,:,26)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd925.2005.nc'); vwnd925(:,:,:,27)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd925.2006.nc'); vwnd925(:,:,:,28)=vwnd(siz:sizbis,1,:,:);clear vwnd;

clear siz1 siz1bis;

vwnd=permute(vwnd925,[1 4 2 3]);
clear vwnd925;

%%%%%%%%%%%%%% FICHIER OLR
% ouverture / lecture du fichier
status=load('eof12_rossby_30100.txt');
eof12_rossby_30100=status;
clear status;
ind_olr=reshape(eof12_rossby_30100,122,28);
clear eof12_rossby_30100
k=122*28;

% on calcule l ecart type sur la serie entiere de l OLR
ind_olr1=reshape(ind_olr, k,1);
ind_olr2=std(ind_olr1);
clear ind_olr1;


% intialisation des tableaux
vwnd925_filtre_compomax=NaN*ones(60,31,49,144);
vwnd925_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0;
compteurmin=0;

% boucle sur les annees
for a=1:28;
   clear delta;
   delta=zeros(122,1);
   % boucle sur les jours : on prepare avant
   for b=1:122;
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   % boucle sur les jours
   for b=1:122;
      % 1ere condition (laisser une marge de 10)
      if (b>20 && b<112);
% cas 1 : max deltas apres negetifs et deltas avant postifs
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2);
            compteurmax=compteurmax+1;
            vwnd925_filtre_compomax(compteurmax,1,:,:)=vwnd(b-20,a,:,:);
            vwnd925_filtre_compomax(compteurmax,2,:,:)=vwnd(b-19,a,:,:);
            vwnd925_filtre_compomax(compteurmax,3,:,:)=vwnd(b-18,a,:,:);
            vwnd925_filtre_compomax(compteurmax,4,:,:)=vwnd(b-17,a,:,:);
            vwnd925_filtre_compomax(compteurmax,5,:,:)=vwnd(b-16,a,:,:);
            vwnd925_filtre_compomax(compteurmax,6,:,:)=vwnd(b-15,a,:,:);
            vwnd925_filtre_compomax(compteurmax,7,:,:)=vwnd(b-14,a,:,:);
            vwnd925_filtre_compomax(compteurmax,8,:,:)=vwnd(b-13,a,:,:);
            vwnd925_filtre_compomax(compteurmax,9,:,:)=vwnd(b-12,a,:,:);
            vwnd925_filtre_compomax(compteurmax,10,:,:)=vwnd(b-11,a,:,:);

            vwnd925_filtre_compomax(compteurmax,11,:,:)=vwnd(b-10,a,:,:);
            vwnd925_filtre_compomax(compteurmax,12,:,:)=vwnd(b-9,a,:,:);
            vwnd925_filtre_compomax(compteurmax,13,:,:)=vwnd(b-8,a,:,:);
            vwnd925_filtre_compomax(compteurmax,14,:,:)=vwnd(b-7,a,:,:);
            vwnd925_filtre_compomax(compteurmax,15,:,:)=vwnd(b-6,a,:,:);
            vwnd925_filtre_compomax(compteurmax,16,:,:)=vwnd(b-5,a,:,:);
            vwnd925_filtre_compomax(compteurmax,17,:,:)=vwnd(b-4,a,:,:);
            vwnd925_filtre_compomax(compteurmax,18,:,:)=vwnd(b-3,a,:,:);
            vwnd925_filtre_compomax(compteurmax,19,:,:)=vwnd(b-2,a,:,:);
            vwnd925_filtre_compomax(compteurmax,20,:,:)=vwnd(b-1,a,:,:);

            vwnd925_filtre_compomax(compteurmax,21,:,:)=vwnd(b,a,:,:);
            vwnd925_filtre_compomax(compteurmax,22,:,:)=vwnd(b+1,a,:,:);
            vwnd925_filtre_compomax(compteurmax,23,:,:)=vwnd(b+2,a,:,:);
            vwnd925_filtre_compomax(compteurmax,24,:,:)=vwnd(b+3,a,:,:);
            vwnd925_filtre_compomax(compteurmax,25,:,:)=vwnd(b+4,a,:,:);
            vwnd925_filtre_compomax(compteurmax,26,:,:)=vwnd(b+5,a,:,:);
            vwnd925_filtre_compomax(compteurmax,27,:,:)=vwnd(b+6,a,:,:);
            vwnd925_filtre_compomax(compteurmax,28,:,:)=vwnd(b+7,a,:,:);
            vwnd925_filtre_compomax(compteurmax,29,:,:)=vwnd(b+8,a,:,:);
            vwnd925_filtre_compomax(compteurmax,30,:,:)=vwnd(b+9,a,:,:);
            vwnd925_filtre_compomax(compteurmax,31,:,:)=vwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
            compteurmin=compteurmin+1;

            vwnd925_filtre_compomin(compteurmin,1,:,:)=vwnd(b-20,a,:,:);
            vwnd925_filtre_compomin(compteurmin,2,:,:)=vwnd(b-19,a,:,:);
            vwnd925_filtre_compomin(compteurmin,3,:,:)=vwnd(b-18,a,:,:);
            vwnd925_filtre_compomin(compteurmin,4,:,:)=vwnd(b-17,a,:,:);
            vwnd925_filtre_compomin(compteurmin,5,:,:)=vwnd(b-16,a,:,:);
            vwnd925_filtre_compomin(compteurmin,6,:,:)=vwnd(b-15,a,:,:);
            vwnd925_filtre_compomin(compteurmin,7,:,:)=vwnd(b-14,a,:,:);
            vwnd925_filtre_compomin(compteurmin,8,:,:)=vwnd(b-13,a,:,:);
            vwnd925_filtre_compomin(compteurmin,9,:,:)=vwnd(b-12,a,:,:);
            vwnd925_filtre_compomin(compteurmin,10,:,:)=vwnd(b-11,a,:,:);

            vwnd925_filtre_compomin(compteurmin,11,:,:)=vwnd(b-10,a,:,:);
            vwnd925_filtre_compomin(compteurmin,12,:,:)=vwnd(b-9,a,:,:);
            vwnd925_filtre_compomin(compteurmin,13,:,:)=vwnd(b-8,a,:,:);
            vwnd925_filtre_compomin(compteurmin,14,:,:)=vwnd(b-7,a,:,:);
            vwnd925_filtre_compomin(compteurmin,15,:,:)=vwnd(b-6,a,:,:);
            vwnd925_filtre_compomin(compteurmin,16,:,:)=vwnd(b-5,a,:,:);
            vwnd925_filtre_compomin(compteurmin,17,:,:)=vwnd(b-4,a,:,:);
            vwnd925_filtre_compomin(compteurmin,18,:,:)=vwnd(b-3,a,:,:);
            vwnd925_filtre_compomin(compteurmin,19,:,:)=vwnd(b-2,a,:,:);
            vwnd925_filtre_compomin(compteurmin,20,:,:)=vwnd(b-1,a,:,:);

            vwnd925_filtre_compomin(compteurmin,21,:,:)=vwnd(b,a,:,:);
            vwnd925_filtre_compomin(compteurmin,22,:,:)=vwnd(b+1,a,:,:);
            vwnd925_filtre_compomin(compteurmin,23,:,:)=vwnd(b+2,a,:,:);
            vwnd925_filtre_compomin(compteurmin,24,:,:)=vwnd(b+3,a,:,:);
            vwnd925_filtre_compomin(compteurmin,25,:,:)=vwnd(b+4,a,:,:);
            vwnd925_filtre_compomin(compteurmin,26,:,:)=vwnd(b+5,a,:,:);
            vwnd925_filtre_compomin(compteurmin,27,:,:)=vwnd(b+6,a,:,:);
            vwnd925_filtre_compomin(compteurmin,28,:,:)=vwnd(b+7,a,:,:);
            vwnd925_filtre_compomin(compteurmin,29,:,:)=vwnd(b+8,a,:,:);
            vwnd925_filtre_compomin(compteurmin,30,:,:)=vwnd(b+9,a,:,:);
            vwnd925_filtre_compomin(compteurmin,31,:,:)=vwnd(b+10,a,:,:);
         end;
      end;
   end;
end;

% on fait la somme des valeurs de vwnd925_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
vwnd925_filtre_compomin1(:,:,:)=nanmean(vwnd925_filtre_compomin);
clear vwnd925_filtre_compomin;
vwnd925_filtre_compomax1(:,:,:)=nanmean(vwnd925_filtre_compomax);
clear vwnd925_filtre_compomax;

figure(1);
orient('landscape');
status=load('pression_eof12_er30100.mat','pression');
pression=status;
clear status;

for e=1:4;
       a=4-(e-1)+1;
       f=2*(a-1)+1;

       clear delta_uwnd925_filtre_min;
       clear delta_vwnd925_filtre_min;
       delta_uwnd925_filtre_min=zeros(49,144);
       delta_vwnd925_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
             delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);

         end;
       end;
       subplot(4,1,5-e);

       delta_uwnd925_filtre=zeros(49,144);
       delta_vwnd925_filtre=zeros(49,144);
       delta_uwnd925_filtre(:,1:72)=delta_uwnd925_filtre_min(:,73:144);
       delta_uwnd925_filtre(:,73:144)=delta_uwnd925_filtre_min(:,1:72);
       delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
       delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
       xi=[-180:3.75:176.25];
       xi=xi';
       yi=[-87.1591:3.708895:87.1591];
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
       cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(5-e,:,:);
       hgt=interp2(lon-180,lat,coco,xi,yi);
       palette
       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
       hold on;
       caxis([-20 20]);
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
set (gca,'XTick',[-60:20:120],'XTickLabel',[' 60W';' 40W';' 20W';'  0 ';' 20E';' 40E';' 60E'; ' 80E';'100E';'120E'],'fontsize',6);
       else
set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
       end
       set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
       cartemonde1;
       if e==2;
          co=colorbar;
          set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','arial','fontsize',6);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-60 120 -20 40]);

       if e==4;
  title('Geopotential winds 925hPa -EOF12 ER30100d - ITCZ 7.5-12.5','fontsize',8) ;
       end
       text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/6.1;
%       set (gca,'position',[0.2 pos_vert 0.3 1/6.1])
       set (gca,'position',[0.2 pos_vert 0.4  1/6.1])
end;

print('-depsc2','composite_wind925_EOF12_ER30100_part1.eps');

figure(2);
orient('landscape');
status=load('pression_eof12_er30100.mat','pression');
pression=status;
clear status;

for e=1:4;
       a=4-(e-1)+1+4;
       f=2*(a-1)+1;

       clear delta_uwnd925_filtre_min;
       clear delta_vwnd925_filtre_min;
       delta_uwnd925_filtre_min=zeros(49,144);
       delta_vwnd925_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
             delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);

         end;
       end;
       subplot(4,1,5-e);

       delta_uwnd925_filtre=zeros(49,144);
       delta_vwnd925_filtre=zeros(49,144);
       delta_uwnd925_filtre(:,1:72)=delta_uwnd925_filtre_min(:,73:144);
       delta_uwnd925_filtre(:,73:144)=delta_uwnd925_filtre_min(:,1:72);
       delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
       delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
       xi=[-180:3.75:176.25];
       xi=xi';
       yi=[-87.1591:3.708895:87.1591];
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
       cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(5-e+4,:,:);
       hgt=interp2(lon-180,lat,coco,xi,yi);
       palette
       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
       caxis([-20 20]);
       hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
set (gca,'XTick',[-60:20:120],'XTickLabel',[' 60W';' 40W';' 20W';'  0 ';' 20E';' 40E';' 60E'; ' 80E';'100E';'120E'],'fontsize',6);
       else
set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
       end
       set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);

       cartemonde1;
       if e==2;
          co=colorbar;
          set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-60 120 -20 40]);

       if e==4;
   title('Geopotential winds 925hPa -EOF12 ER30100d - ITCZ 7.5-12.5','fontsize',8) ;
       end
       text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/6.1;
       set (gca,'position',[0.2 pos_vert 0.4 1/6.1])
end;


print('-depsc2','composite_wind925_EOF12_ER30100_part2.eps');

figure(3);
orient('landscape');
status=load('pression_eof12_er30100.mat','pression');
pression=status;
clear status;

for e=1:4;
       a=4-(e-1)+1+8;
       f=2*(a-1)+1;

       clear delta_uwnd925_filtre_min;
       clear delta_vwnd925_filtre_min;
       delta_uwnd925_filtre_min=zeros(49,144);
       delta_vwnd925_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
             delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);

         end;
       end;
       subplot(4,1,5-e);

       delta_uwnd925_filtre=zeros(49,144);
       delta_vwnd925_filtre=zeros(49,144);
       delta_uwnd925_filtre(:,1:72)=delta_uwnd925_filtre_min(:,73:144);
       delta_uwnd925_filtre(:,73:144)=delta_uwnd925_filtre_min(:,1:72);
       delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
       delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
       xi=[-180:3.75:176.25];
       xi=xi';
       yi=[-87.1591:3.708895:87.1591];
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
       cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(5-e+8,:,:);
      hgt=interp2(lon-180,lat,coco,xi,yi);
       palette
       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
       caxis([-20 20]);
       hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
set (gca,'XTick',[-60:20:120],'XTickLabel',[' 60W';' 40W';' 20W';'  0 ';' 20E';' 40E';' 60E'; ' 80E';'100E';'120E'],'fontsize',6);
       else
set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
       end
       set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);

       cartemonde1;
       if e==2;
          co=colorbar;
          set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-60 120 -20 40]);

       if e==4;
           title('Geopotential winds 925hPa -EOF12 ER30100d - ITCZ 7.5-12.5','fontsize',8) ;
       end
       text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/6.1;
       set (gca,'position',[0.2 pos_vert 0.4 1/6.1])
end;


print('-depsc2','composite_wind925_EOF12_ER30100_part3.eps');

figure(4);
orient('landscape');
status=load('pression_eof12_er30100.mat','pression');
pression=status;
clear status;
for e=1:4;
       a=4-(e-1)+1+10;
       f=2*(a-1)+1;

       clear delta_uwnd925_filtre_min;
       clear delta_vwnd925_filtre_min;
       delta_uwnd925_filtre_min=zeros(49,144);
       delta_vwnd925_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd925_filtre_min(b,c)=uwnd925_filtre_compomin1(f,b,c)-uwnd925_filtre_compomax1(f,b,c);
             delta_vwnd925_filtre_min(b,c)=vwnd925_filtre_compomin1(f,b,c)-vwnd925_filtre_compomax1(f,b,c);

         end;
       end;
       subplot(4,1,5-e);

       delta_uwnd925_filtre=zeros(49,144);
       delta_vwnd925_filtre=zeros(49,144);
       delta_uwnd925_filtre(:,1:72)=delta_uwnd925_filtre_min(:,73:144);
       delta_uwnd925_filtre(:,73:144)=delta_uwnd925_filtre_min(:,1:72);
       delta_vwnd925_filtre(:,1:72)=delta_vwnd925_filtre_min(:,73:144);
       delta_vwnd925_filtre(:,73:144)=delta_vwnd925_filtre_min(:,1:72);
       xi=[-180:3.75:176.25];
       xi=xi';
       yi=[-87.1591:3.708895:87.1591];
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd925_filtre,xi,yi);
       cartev=interp2(lon-180,lat,delta_vwnd925_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(5-e+10,:,:);
      hgt=interp2(lon-180,lat,coco,xi,yi);
       palette
       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none');
        caxis([-20 20]);
       hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
set (gca,'XTick',[-60:20:120],'XTickLabel',[' 60W';' 40W';' 20W';'  0 ';' 20E';' 40E';' 60E'; ' 80E';'100E';'120E'],'fontsize',6);
       else
set (gca,'XTick',[-60:20:120],'XTickLabel',[' ';' ';' ';' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
       end
       set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';' 0 ';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);

       cartemonde1;
       if e==2;
          co=colorbar;
          set (co,'ytick',[-20:10:20],'yticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-60 120 -20 40]);

       if e==4;
             title('Geopotential winds 925hPa -EOF12 ER30100d - ITCZ 7.5-12.5','fontsize',8) ;
       end
       text(-150,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/6.1;
       set (gca,'position',[0.2 pos_vert 0.4 1/6.1])
end;

print('-depsc2','composite_wind925_EOF12_ER30100_part4.eps');
